AbstractModel.ModelType (Apache OpenNLP Tools 1.9.5 API)
Date: 2026-06-18

opennlp.tools.ml.model

## Enum AbstractModel.ModelType

- java.lang.Object
- - java.lang.Enum<AbstractModel.ModelType>
  - - opennlp.tools.ml.model.AbstractModel.ModelType

- All Implemented Interfaces:
    Serializable, Comparable<AbstractModel.ModelType>
  Enclosing class:
    AbstractModel

      public static enum AbstractModel.ModelType
      extends Enum<AbstractModel.ModelType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Maxent`
    `MaxentQn`
    `NaiveBayes`
    `Perceptron`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AbstractModel.ModelType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AbstractModel.ModelType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Maxent

          public static final AbstractModel.ModelType Maxent

    - #### Perceptron

          public static final AbstractModel.ModelType Perceptron

    - #### MaxentQn

          public static final AbstractModel.ModelType MaxentQn

    - #### NaiveBayes

          public static final AbstractModel.ModelType NaiveBayes

  - ### Method Detail

    - #### values

          public static AbstractModel.ModelType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AbstractModel.ModelType c : AbstractModel.ModelType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AbstractModel.ModelType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2026 The Apache Software Foundation. All rights reserved.